gtkmm: Gtk::Orientable Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions

# Gtk::Orientable Class Reference

This interface is implemented by all widgets that can be oriented horizontally or vertically. More...

Inheritance diagram for Gtk::Orientable:
[legend]
Collaboration diagram for Gtk::Orientable:
[legend]

List of all members.

## Public Member Functions
virtual | ~Orientable ()
GtkOrientable* | gobj ()
| Provides access to the underlying C GObject.
const GtkOrientable* | gobj () const
| Provides access to the underlying C GObject.
void | set_orientation (Orientation orientation)
| Sets the orientation of the orientable.
Orientation | get_orientation () const
| Retrieves the orientation of the orientable.
Glib::PropertyProxy< Orientation > | property_orientation ()
| The orientation of the orientable.
Glib::PropertyProxy_ReadOnly < Orientation > | property_orientation () const
| The orientation of the orientable.
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::Orientable > | wrap (GtkOrientable* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

This interface is implemented by all widgets that can be oriented horizontally or vertically.

Historically, such widgets have been realized as subclasses of a common base class (e.g GtkBox/GtkHBox/GtkVBox and GtkScale/GtkHScale/GtkVScale). GtkOrientable is more flexible in that it allows the orientation to be changed at runtime, allowing the widgets to 'flip'.

Since gtkmm 2.16:

## Constructor & Destructor Documentation

virtual Gtk::Orientable::~Orientable | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gtk::Orientable::add_interface | ( | GType | gtype_implementer | ) | `[static]`

Orientation Gtk::Orientable::get_orientation | ( |  | ) | const

Retrieves the orientation of the orientable.

Since gtkmm 2.16:

Returns:
  The orientation of the orientable.

GtkOrientable* Gtk::Orientable::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::ToolPalette.

const GtkOrientable* Gtk::Orientable::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::ToolPalette.

Glib::PropertyProxy<Orientation> Gtk::Orientable::property_orientation | ( |  | ) |

The orientation of the orientable.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Orientation> Gtk::Orientable::property_orientation | ( |  | ) | const

The orientation of the orientable.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::Orientable::set_orientation | ( | Orientation | orientation | ) |

Sets the orientation of the orientable.

Since gtkmm 2.16:

Parameters:

  orientation | The orientable's new orientation.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::Orientable > wrap | ( | GtkOrientable * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/orientable.h